aggiornare forum da phpbb 3.0.X a phpbb 3.1.X

Area dedicata alle guide di phpBB 3
Rispondi
Avatar utente
Darkman
Traduttore
Traduttore
Messaggi: 152
Iscritto il: 21/03/2018, 18:28
Link del Forum: https://darkylab.altervista.org/

Re: aggiornare forum da phpbb 3.0.X a phpbb 3.1.X

Messaggio da Darkman »

Ti capisco e noi non solo NON possiamo dire “devi” aggiornare, ma neanche “dovresti” sono decisioni molto personali proprio perché la versione 3.0.x era di una personalizzazione molto creativa. Mi ricordo con quanta aspettativa aprivo il XNL delle istruzioni, le ore a lavorarci sopra e la soddisfazione a MOD completata. Ogni forum era diverso dall’altro, negli stili, nei template, nelle MOD ci mettevi del tuo.
Non parliamo del phpBB2 che era ancora più plasmabile e fantasioso, ma proprio per questo fu vulnerabilissimo e si dovette passare al phpBB3.
Con le nuove versioni sembrano tutti uguali, le estensioni non le puoi personalizzare più di tanto e gli stili piacciono davvero poco.
Però non tocchi il codice, gli errori sono minimi, e puoi mettere tantissime estensioni in pochi passi.
Mi son dovuto decidere per la mia ansia per il GDPR, volevo installare l’estensione, per la mia 3.0.12 non avrei trovato supporto valido.
Avatar utente
Jigen_Daisuke
Registered User
Registered User
Messaggi: 8
Iscritto il: 01/06/2018, 15:50
Link del Forum: www.ilforumdellabirra.net

Re: aggiornare forum da phpbb 3.0.X a phpbb 3.1.X

Messaggio da Jigen_Daisuke »

Salve a tutti, seguendo la guida ho aggiornato dalla 3.0.12 alle 3.1.12 seguendo passo passo la guida e testando il tutto in una directory del forum www.mioforu.mio/test/.
Dopo i messaggi di aggiornamento mi è comparso l'avviso di rinominare la cartella insall ed ho testato alcune funzionalità del forum ripulito.
in PCA la sezione "ESTENSIONI" mi da il seguente errore
Impossibile trovare il modulo ./../includes/acp/acp_mchat.php
BACKTRACE
FILE: (not given by php)
LINE: (not given by php)
CALL: msg_handler()
FILE: [ROOT]/includes/functions_module.php
LINE: 571
CALL: trigger_error()
FILE: [ROOT]/adm/index.php
LINE: 81
CALL: p_master->load_active()
ma con il file db_check avevo tolto tutte le tabelle indicate relative ad mchat.

Il secondo errore è riferito ad una vecchia mod che usavo per le newsletter e mi dà il seguente errore:
Errore Generale
Impossibile trovare il modulo ./../includes/acp/acp_newsletter.php
BACKTRACE
FILE: (not given by php)
LINE: (not given by php)
CALL: msg_handler()
FILE: [ROOT]/includes/functions_module.php
LINE: 571
CALL: trigger_error()
FILE: [ROOT]/adm/index.php
LINE: 81
CALL: p_master->load_active()

Avete consigli in merito?
Grazie
Avatar utente
Angolo
Globalmod
Globalmod
Messaggi: 227
Iscritto il: 29/04/2018, 22:54
Link del Forum: https://angolodicielo.altervista.org

Re: aggiornare forum da phpbb 3.0.X a phpbb 3.1.X

Messaggio da Angolo »

Prova a rimuovere il modulo da PCA; svuota la cache.
Avatar utente
Darkman
Traduttore
Traduttore
Messaggi: 152
Iscritto il: 21/03/2018, 18:28
Link del Forum: https://darkylab.altervista.org/

Re: aggiornare forum da phpbb 3.0.X a phpbb 3.1.X

Messaggio da Darkman »

Aggiungo, avendo avuto il tuo stesso errore, di disabilitarlo prima di rimuoverlo. Se lo hai cancellato prima di dsisabilitare, recuperalo dal menu a tendina.
Avatar utente
Jigen_Daisuke
Registered User
Registered User
Messaggi: 8
Iscritto il: 01/06/2018, 15:50
Link del Forum: www.ilforumdellabirra.net

Re: aggiornare forum da phpbb 3.0.X a phpbb 3.1.X

Messaggio da Jigen_Daisuke »

@Angolo non ho una funzione di rimozione nel PCA, è presente una pagina chiamata".MODS" dove sono presenti le tre delle 4 mods installate tra cui Mchat 1.3.5, il Portale e la Phoogle MAPS mentre la newsletter è visualizabile in Sistema=>Funzioni generali...
Quando ho fatto il BakeUp del DB per i test di migrazione la Mchat era abilitata quindi per rimuoverla dovrei togliere manualmente tutte le modifiche effettuate a mano?
il dbcheck mi dà queste info e le ho cancellate tutte prima di fare la migrazione:
Additional tables [30/92]:
- arrowchat
- arrowchat_admin
- arrowchat_applications
- arrowchat_banlist
- arrowchat_chatroom_banlist
- arrowchat_chatroom_messages
- arrowchat_chatroom_rooms
- arrowchat_chatroom_users
- arrowchat_config
- arrowchat_graph_log
- arrowchat_notifications
- arrowchat_notifications_markup
- arrowchat_reports
- arrowchat_smilies
- arrowchat_status
- arrowchat_themes
- arrowchat_trayicons
- arrowchat_warnings
- avphpbb_captcha_answers
- avphpbb_captcha_questions
- avphpbb_mchat
- avphpbb_mchat_config
- avphpbb_mchat_sessions
- avphpbb_phoogle_config
- avphpbb_phoogle_events
- avphpbb_phoogle_events_markers
- avphpbb_phoogle_markers
- avphpbb_portal_config
- avphpbb_portal_modules
- avphpbb_qa_confirm


Additional columns:
- avphpbb_users
- user_mchat_index
- user_mchat_sound
- user_mchat_stats_index
- user_mchat_topics
- user_mchat_avatars
- user_show_age
- user_congrats
- user_phoogle_map_center
- user_phoogle_comment
- user_phoogle_comment_bbcode_uid
- user_phoogle_comment_bbcode_bitfield
- user_phoogle_icon
- user_phoogle_allow
- user_phoogle_show_me

Avete suggerimenti?
Avatar utente
alex75
Amministratore
Amministratore
Messaggi: 4706
Iscritto il: 23/08/2012, 23:45
Link del Forum: www.phpbb-store.it
Località: Palermo

Re: aggiornare forum da phpbb 3.0.X a phpbb 3.1.X

Messaggio da alex75 »

Non hai seguito la guida alla perfezione.... E comunque leggi bene nelle pagine precedenti e troverai come rimuovere i moduli da pca.
Regolamento Forum
Programmi utili
Le nostre guide
Scambio Banner
Se l'assistenza prestata è stata di tuo gradimento potrai contribuire aiutandoci a sostenere le spese affrontate per tenere in vita questo forum >Cliccando sul seguente Link<
Avatar utente
Jigen_Daisuke
Registered User
Registered User
Messaggi: 8
Iscritto il: 01/06/2018, 15:50
Link del Forum: www.ilforumdellabirra.net

Re: aggiornare forum da phpbb 3.0.X a phpbb 3.1.X

Messaggio da Jigen_Daisuke »

@alex75:
Cito quanto hai riportato:"Andiamo ad eliminare le tabelle in più che sono state create da eventuali mod; se abbiamo conservato i file delle mod installate, potremo semplicemente lanciare i loro install.php per eliminare tali tabelle, altrimenti dovremo eliminarle manualmente da phpmyadmin. Allego comunque un ottimo script di carlo di phpbbitalia che evidenzierà quali siano le tabelle aggiunte dalle mod."
Ho fatto partire lo script che mi ha riportato le tabelle da rimuovere compresa la Mchat ma non ha rilevato la newsletter che mi andrò a cercare...
Riprovo a rifare la procedura.
Una domanda ma db_check.zip devo farlo partire prima o dopo aver cancellato le cartelle da eliminare?
Avatar utente
Darkman
Traduttore
Traduttore
Messaggi: 152
Iscritto il: 21/03/2018, 18:28
Link del Forum: https://darkylab.altervista.org/

Re: aggiornare forum da phpbb 3.0.X a phpbb 3.1.X

Messaggio da Darkman »

Stai facendo confuzione, quello script serve ad indicare quali tabelle vanno cancellata nella 3.0.x.
Altrimenti usa il STK
Avatar utente
Jigen_Daisuke
Registered User
Registered User
Messaggi: 8
Iscritto il: 01/06/2018, 15:50
Link del Forum: www.ilforumdellabirra.net

Re: aggiornare forum da phpbb 3.0.X a phpbb 3.1.X

Messaggio da Jigen_Daisuke »

@Darkman avevo capito che andava usato per trovare le tabelle da cancellare...
STK sarebbe? Support Toolkit? Nella mia versione di phpbb 3.0.12 non credo sia presente.
Avatar utente
Dr.House
Amministratore
Amministratore
Messaggi: 2178
Iscritto il: 08/01/2012, 8:24
Link del Forum: www.phpbb-store.it
Località: Reggio Calabria
Contatta:

Re: aggiornare forum da phpbb 3.0.X a phpbb 3.1.X

Messaggio da Dr.House »

si è il supporto tool kit.Non lo trovi integrato in nessuna versione di phpbb3, perchè è un tool a se stante.Per la 3.0.12 c'era la versione compatibile.
Dovresti cercarla.
Rispondi